<?php
/**
 * @version		1.5.3.47 install.php
 * @package		J2XML
 * @subpackage	com_j2xml
 * @since		1.5.0
 *
 * @author		Helios Ciancio <info@eshiol.it>
 * @link		http://www.eshiol.it
 * @copyright	Copyright (C) 2010 Helios Ciancio. All Rights Reserved
 * @license		http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL v3
 * J2XML is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */
 
// no direct access
defined('_JEXEC') or die('Restricted access.');

// This isn't called because of redirect
$this->parent->copyManifest();
/* delete site folder */
if (JFolder::exists(JPATH_SITE.DS.'components'.DS.'com_j2xml')) JFolder::delete(JPATH_SITE.DS.'components'.DS.'com_j2xml');

function com_install() {
	ignore_user_abort(true);

	// Emulate J1.6 installer
	$installer =& JInstaller::getInstance();
	include_once(dirname(__FILE__).'/script.php');
	jimport('joomla.filesystem.file');

	if ($installer->_stepStack[1]['path'] == JPATH_ADMINISTRATOR.DS.'components'.DS.'com_j2xml')
	{
		Com_J2XMLInstallerScript::preflight('install', $installer);
		Com_J2XMLInstallerScript::install($installer);
		Com_J2XMLInstallerScript::postflight('install', $installer);
	}
	else
	{	
		Com_J2XMLInstallerScript::preflight('update', $installer);
		Com_J2XMLInstallerScript::update($installer);
		Com_J2XMLInstallerScript::postflight('update', $installer);
	}
}
?>