<?php
/**
 * @version		1.5.3.47 toolbar.j2xml.html.php
 * @package		J2XML
 * @subpackage	com_j2xml
 * @version		1.5.0
 *
 * @author		Helios Ciancio <info@eshiol.it>
 * @link		http://www.eshiol.it
 * @copyright	Copyright (C) 2010 Helios Ciancio. All Rights Reserved
 * @license		http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL v3
 * J2XML is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */
 
// no direct access
defined('_JEXEC') or die('Restricted access.');

require_once(JApplicationHelper::getPath('toolbar_html'));

$task = JRequest::getCmd('task', '');
if ($task == '')
{
	$view = JRequest::getCmd('view', 'cpanel');
	if ($view == 'websites')
		$task = 'website.display';
}
else if (strpos($task, '.') != false) 
	// We have a defined controller/task pair -- lets split them out
	list($controllerName, $task) = explode('.', $task);
else
	$controllerName = JRequest::getCmd('c', 'cpanel');

if ($controllerName == 'cpanel')
	TOOLBAR_J2XML::_DEFAULT();
else if ($controllerName == 'website')
	switch ($task) {
		case "add":
			TOOLBAR_J2XML::_WEBSITES_EDIT(false);
			break;
		case "edit":
			TOOLBAR_J2XML::_WEBSITES_EDIT(true);
			break;
		default:
			TOOLBAR_J2XML::_WEBSITES();
	}
else
	TOOLBAR_J2XML::_DEFAULT();
?>